﻿body {
    overflow: hidden;
}
/* arrow */
.TransC {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 17.5vh;
    position: relative;
    background-color: transparent;
}

.aboutA {
    width: 2.6rem; /* Adjusted to use rem */
    height: 2.6rem; /* Adjusted to use rem */
    align-items: center;
    display: inline-block;
    position: relative;
}

    .aboutA span {
        position: absolute;
        top: 1vw;
        width: 1.6rem;
        height: 0.2rem;
        background-color: black;
        display: flex; /* Changed to flexbox */
        flex-direction: column; /* Align children vertically */
        justify-content: center; /* Center content vertically */
        transition: all 0.2s ease;
    }

        .aboutA span:first-of-type {
            left: 0;
            transform: rotate(45deg);
        }

        .aboutA span:last-of-type {
            right: 0;
            transform: rotate(-45deg);
        }

    .aboutA.active span:first-of-type {
        transform: rotate(-45deg);
    }

    .aboutA.active span:last-of-type {
        transform: rotate(45deg);
    }

/* Section 2 */
.M-Container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    height: 52vh;
    width: 100%;
    background-color: transparent;
    z-index: -1;
    cursor: default;
}

.M-Content {
    display: flex;
    background-color: white;
    align-items: center;
    justify-items: center;
    height: 100%;
    width: 80%;
    border-radius: 25px;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.4);
}

.M-Title {
    width: 100%;
    font-size: 3vw;
    margin-bottom: 1vw;
    background: linear-gradient(to right, black, cyan);
    -webkit-background-clip: text;
    color: transparent;
    font-family: cf1;
    -webkit-text-stroke: .1px black;
    transition: color 0.3s ease;
}

    .M-Title:hover {
        color: #7a7a7a;
    }

.M-Text {
    flex: 1;
    text-align: left;
    font-size: 1.25vw;
    padding: 0 3vw 0 3vw;
    color: #8a8a8a;
    text-align: center;
}

.M-Image {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    border-radius: 0 25px 25px 0;
    height: 100%;
}

    .M-Image img {
        height: 100%;
        transform: scale(1.05);
        transition: transform 0.3s ease;
    }

        .M-Image img:hover {
            transform: scale(1.1);
        }

/* Section 1 */
.M-States {
    display: flex;
    justify-content: space-between;
    margin-top: 1.25vw;
    padding: 0 5vw 0 5vw;
    cursor: default;
}

.M-State {
    flex: 1;
    text-align: center;
    padding: .5vw;
    background-color: transparent;
    border-radius: .5vw;
}

    .M-State h2 {
        font-size: 1.25vw;
        font-family: cf1;
        margin-bottom: .5vw;
        color: black;
        -webkit-text-stroke: .1px dimgrey;
        transition: transform 0.3s ease;
    }

        .M-State h2:hover {
            transform: scale(1.2);
        }

    .M-State p {
        font-size: 2vw;
        color: cyan;
        -webkit-text-stroke: 1px darkcyan;
    }

.L-Container {
    position: relative;
    align-items: center;
    height: 25vw;
    width: 100%;
    display: flex;
    margin: 25vh 0 0 1vw;
    background-color: transparent;
    justify-content: center;
    z-index: -1;
}

.L-Section {
    position: relative;
    width: 21vw;
    height: 21vw;
    margin-right: 1vw;
    background-color: white;
    border-radius: 1vw;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    cursor: default;
    pointer-events: none;
}

    .L-Section h2 {
        text-align: center;
        padding: 1vw;
        font-size: 1.75vw;
        color: black;
        font-family: cf1;
    }

    .L-Section p {
        padding: 0 1vw 0 1vw;
        font-size: 1.05vw;
        color: #8a8a8a;
        line-height: 1.5;
        text-align: center;
    }

/* Section 3 */
.TeamsSec {
    width: 100%;
    height: 60vh;
}

.TTtile {
    text-align: center;
}

    .TTtile h1 {
        font-size: 4vw;
        font-family: CF1;
    }

    .TTtile span {
        font-size: 2vw;
        font-family: CF1;
    }

.team-tiles {
    display: flex;
    width: 100%;
    justify-content: center;
    gap: 1vw;
    margin-top: 2vw;
}

.team-tile {
    cursor: pointer;
    width: 15vw;
    height: 15vw;
    border-radius: 25px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

    .team-tile img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.team-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.popup-Main {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40vw;
    height: 17.5vw;
    background-color: rgba(255, 255, 255, 1);
    backdrop-filter: blur(5px);
    z-index: 1;
    border-radius: 15px;
}

.button-27 {
    position: absolute;
    right: 1vw;
    top: 1vw;
    background-color: black;
    border: 2px outset cyan;
    border-radius: 10px;
    color: #FFFFFF;
    cursor: pointer;
    font-size: 1.5vw;
    transition: all 300ms ease;
    width: 2vw;
    height: 2vw;
    display: flex;
}

    .button-27:hover {
        box-shadow: rgba(0, 0, 0, .25) 0 5px 10px;
        transform: translateY(-2px);
    }

    .button-27:active {
        box-shadow: none;
        transform: translateY(0);
    }

.team-title {
    font-size: 2vw;
    font-weight: bold;
    padding-left: 1vw;
    padding-top: 1vw;
    margin-bottom: 1vw;
    text-align: left;
    font-family: CF1;
    pointer-events: none;
}

.team-subtext {
    color: #7a7a7a;
    font-size: .75vw;
    text-align: left;
    padding-left: 1vw;
    padding-right: 1vw;
    font-family: CF1;
    pointer-events: none;
}

.team-members {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-top: 1vw;
    padding-left: 1vw;
    pointer-events: none;
}

    .team-members p {
        margin: 0.5vw 0;
        font-size: 1vw;
        font-family: CF1;
    }

.learn-more {
    display: block;
    margin: 0 auto;
    background-color: cyan;
    border: none;
    border-radius: 5px;
    color: black;
    cursor: pointer;
    font-size: 1.2vw;
    padding: 0.5vw 1.5vw;
    text-align: center;
    transition: transform 0.3s ease;
}

    .learn-more:hover {
        transform: scale(1.1);
    }
